org.keycloak.theme

## Class JarThemeProviderFactory

- java.lang.Object
- - org.keycloak.theme.ClasspathThemeProviderFactory
  - - org.keycloak.theme.JarThemeProviderFactory

- All Implemented Interfaces:
    ProviderFactory<ThemeProvider>, ThemeProviderFactory

      public class JarThemeProviderFactory
      extends ClasspathThemeProviderFactory

  Author:
    Stian Thorgersen

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.keycloak.theme.ClasspathThemeProviderFactory

      `ClasspathThemeProviderFactory.ThemeRepresentation, ClasspathThemeProviderFactory.ThemesRepresentation`

  - ### Field Summary

    - ### Fields inherited from class org.keycloak.theme.ClasspathThemeProviderFactory

      `KEYCLOAK_THEMES_JSON, themes`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JarThemeProviderFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ThemeProvider` | `create(KeycloakSession session)`
    `void` | `init(Config.Scope config)` Only called once when the factory is first created.

    - ### Methods inherited from class org.keycloak.theme.ClasspathThemeProviderFactory

      `close, getId, loadThemes, postInit`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.keycloak.provider.ProviderFactory

      `order`

- - ### Constructor Detail

    - #### JarThemeProviderFactory

          public JarThemeProviderFactory()

  - ### Method Detail

    - #### create

          public ThemeProvider create(KeycloakSession session)

      Specified by:
        `create` in interface `ProviderFactory<ThemeProvider>`
      Overrides:
        `create` in class `ClasspathThemeProviderFactory`

    - #### init

          public void init(Config.Scope config)

      Description copied from interface: `ProviderFactory`
      Only called once when the factory is first created. This config is pulled from keycloak_server.json
      Specified by:
        `init` in interface `ProviderFactory<ThemeProvider>`
      Overrides:
        `init` in class `ClasspathThemeProviderFactory`

Copyright © 2021 JBoss by Red Hat. All rights reserved.